
MyArray.prototype.join = function (separator) {
	/* join(separator)
	Return our elements joined
	into a string where each element is
	separated by arg "separator"
	e.g.,
	var elements, a
	elements = [10, 20, 30]
	a = MyArray.from(elements)
	println(a)
	println('join("|"): ' + a.join("|"))
	// elements: 10,20,30
	// join("|"): 10|20|30
	*/
	var i, result
	i = 0
	result = "";
	while (i < this.size()) {
		let nextElem = this.get(i)
		if (i > 0)
			result += separator;
		result += nextElem.toString();
		i++
	}
	return result;
}

