
MyArray.prototype.reject = function(rejectFct) {
	/* reject(fct)
	Return a new MyArray object where elements are "filtered out"
	(rejected). By "rejectFct" we mean that if the function
	returns true, for a given element, then that elem
	is rejected as part of the result (otherwise it's kept)
	Note: MyArray do [not] support adding elements, so
	this algo may take some special thought.
	e.g.,
	var a, rejectFct;
	a = new MyArray([10, 50, 10, 40, 50, 60, 10]);
	rejectFct = anElem => anElem <= 20;
	println(a)
	println('reject all elements less or equal to 20 (keep others)')
	println(a.reject(rejectFct))

	println('----')
	rejectFct = anElem => anElem > 100
	println(a)
	println('reject all elements greater than 100 (keep others)')
	println('should result in keeping all')
	println(a.reject(rejectFct))
	// elements: 10,50,10,40,50,60,10
	// reject all elements less or equal to 20 (keep others)
	// elements: 50,40,50,60
	// ----
	// elements: 10,50,10,40,50,60,10
	// reject all elements greater than 100 (keep others)
	// should result in keeping all
	// elements: 10,50,10,40,50,60,10
	*/
	//ALGORITHM HERE (Pseudocode)
	
	
	
	
	
	
	

}
