
MyArray.prototype.findLastIndex = function (searchFct) {
	/* findLastIndex(compareFct)
 	Write an algorithm named "findLastIndex" to find
	the *last* matching element and return its index.
	Arg "searchFct" returns true if we have
	found an element satisfying the search.
	Return the index of the matching element.
	If not match is found, return -1.
	e.g.,
	var a, searchFct
	a = new MyArray([10, 20, 30, 40, 50, 60, 70])
	searchFct = anElem => anElem < 50
	println(a.findLastIndex(searchFct))
	// outputs 3
	a = new MyArray([10, 50, 10, 40, 50, 60, 10])
	searchFct = anElem => anElem == 50
	println('----')
	println(a.findLastIndex(searchFct))
	// outputs 4
	*/
	var i
	i = this.size() - 1;
	while (i >= 0) {
		if (searchFct(this.get(i)))
			return i;
		i--
	}
	return -1;
}